# Cubbli Help

A repository dedicated for helping users of Cubbli (Common Ubuntu based Linux).
Below you can find links to our existing resources.
You can find, ask and answer questions on the Issues board (you can find it on the left side of the screen).
With software installation and upgrade requests please contact helpdesk@helsinki.fi.

## Get to know Cubbli
Thursday 7.9.2023 10.00-14.30 in Exactum A114

Administrators are present here

## Links

Currently most prominent resource is [Cubbli Wiki](https://wiki.helsinki.fi/display/it4sci/Cubbli+Linux).
It contains small tutorials on various topics, so it is a good place to start when troubled. You can access this from the sidebar on left from _External Wiki_. It is currently being ported to GitLab's own wiki, which you can access from the sidebar too.

[tkt-fuksiläppäri](https://t.me/tkt_fuksilappari) Telegram group is a good place to ask quick questions from other users and Cubbli-team.


## Issues

[https://version.helsinki.fi/it4scifi/cubbli-help/-/issues](Issues)-board is a great place to ask for information on problems that probably are not only about your computer, such as
- Missing, broken or outdated packages
- Bugs
- General gripes
- Feature requests to Cubbli and to this page

The Cubbli maintainers read and write on this board, but we hope that you too will join the conversation.
If you have encountered a same problem as someone other, leave a comment or give it some reaction to stay in the loop.
It will also signal the maintainers that a specific issue touches multiple people.


## Helps

### List packages and sort them by size
`dpkg-query -W --showformat='${Installed-Size;10}\t${Package}\n' | sort -k1,1n`


### Something is not working and no idea why
- Check that you are using the program correctly 
    - `--help`/`-h` flag provides concise list of available commands
    - `man [program]` opens detailed manual for [program] 
- Most programs can be started with a `--verbose` or `--debug` flag (check from `-h`)
- Systemlogs can be found with `dmesg` (kernel/startup/devices) and `journalctl -xe` (everything). These can be quite heavy to read, but they are very useful.

### Sudo privileges
- Staff: [Flamma instructions](https://flamma.helsinki.fi/en/group/it-ja-puhelin/administration-rights-and-administration-responsibility#menu1)
- Students (and staff should read also): [Wiki instructions](https://wiki.helsinki.fi/display/it4sci/Administrator+%28sudo%29+rights+in+Cubbli+Linux)

## Cubbli 22

C22 has rolled out.
It deprecates older distributions.
C18-hosts will be kicked out of the network on 2023; C20 will not receive anything but security upgrades.

### Upgrading

0. Backup your dearest files, especially those inside of applications. Upgrade script should leave your home directory intact, but anything can happen.  It is good practice to do it anyway once in a while. 
1. `cubbli-upgrade`
2. Wait as C22 installs

You can also use HY-menu for this.

There are few problems we know of in Cubbli 22, but since we have rather limited scope of usage for it, we don't know everything.
You can help by reporting any issues you encounter in this repository as an Issue with Cubbli22-tag.

### Microsoft Teams

The Teams client in Linux is being ditched. The preferred way to use Teams in the future is to use the webapp.
[Instructions for setting it up](https://wiki.helsinki.fi/display/it4sci/Microsoft+Teams)
